<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host.core-service.discovery-options.options">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="custom-discovery,static-discovery"/>
        <elem name="complex-attribute" value="options"/>
        <elem name="addr-params" value="host,core-service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.core-service"/>
    </annotation>
    <refs>
        <ref feature="host.core-service.discovery-options"/>
    </refs>
    <params>
        <param name="host"/>
        <param name="static-discovery" nillable="true" default="[]"/>
        <param name="custom-discovery" nillable="true" default="[]"/>
        <param name="core-service"/>
    </params>
</feature-spec>